%global name1   gtkdatabox
Name:           %{name1}3
Version:        1.0.0
Release:        1%{?dist}
Summary:        GTK+ widget for fast data display
License:        LGPLv2+
URL:            http://sourceforge.net/projects/%{name}
Source:         http://downloads.sourceforge.net/%{name}/%{version}/%{name1}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gtk3-devel
BuildRequires:  pkgconfig
BuildRequires:  autoconf
BuildRequires:  make

%description
GtkDatabox is a widget for the GTK+ v2 library designed to display
large amounts of numerical data fast and easy.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries, header files, and examples
for developing applications that use %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files
for developing applications that use %{name}.

%prep
%autosetup -n %{name1}-%{version}

%build
# need reconfig to support aarch64
autoconf
%configure \
  --disable-static \
  --enable-glade \
  LIBS="-lm"
# fix rpath libtool issues
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# fix ChangeLog encoding issues
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.tmp && mv -f ChangeLog.tmp ChangeLog
%make_build

%install
rm -rf %{buildroot}
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%ldconfig_scriptlets

%files
%doc AUTHORS ChangeLog NEWS README TODO
%license COPYING
%{_libdir}/libgtkdatabox*.so.*

%files devel
%doc examples/*.c
%{_includedir}/gtkdatabox*.h
%{_libdir}/libgtkdatabox.so
%{_libdir}/pkgconfig/gtkdatabox.pc

%files doc
%{_datadir}/gtk-doc/html/gtkdatabox-1

%changelog
* Tue Mar 05 2024 Thomas Sailer <fedora@tsailer.ch> - 1.0.0-1
- Initial spec file, created from gtkdatabox2
